#
# spec file for package perl-Data-Peek
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Data-Peek
Name:           perl-Data-Peek
Version:        0.52
Release:        1.5
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Modified and extended debugging facilities
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HM/HMBRAND/%{cpan_name}-%{version}.tgz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.90
BuildRequires:  perl(Test::Warnings)
Requires:       perl(Test::More) >= 0.9
Requires:       perl(Test::Warnings)
Recommends:     perl(Data::Dumper) >= 2.184
Recommends:     perl(Perl::Tidy)
%{perl_requires}

%description
Data::Peek started off as 'DDumper' being a wrapper module over
Data::Dumper, but grew out to be a set of low-level data introspection
utilities that no other module provided yet, using the lowest level of the
perl internals API as possible.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc ChangeLog CONTRIBUTING.md examples README

%changelog
* Wed Jan  4 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.52
  see /usr/share/doc/packages/perl-Data-Peek/ChangeLog
  0.52	- 2023-01-03, H.Merijn Brand   <hmbrand@cpan.org>
  * Tested with perl-5.36.0
  * Update to Devel::PPPort-3.68
  * It's 2023
* Sun Jan  2 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.51
  see /usr/share/doc/packages/perl-Data-Peek/ChangeLog
  0.51	- 2022-01-01, H.Merijn Brand   <hmbrand@cpan.org>
  * It's 2021
  * Update to Devel::PPPort-3.63
  * It's 2022
* Tue Dec 22 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.50
  see /usr/share/doc/packages/perl-Data-Peek/ChangeLog
  0.50	- 2020-12-21, H.Merijn Brand   <h.m.brand@xs4all.nl>
  * Update to Devel::PPPort-3.58
  * Prevent false negative CPANTESTERS fail reports
  * Prepare for perl7
  * Move to XSLoader
  * Update to Devel::PPPort-3.61
  * Update to Devel::PPPort-3.62
  * Fix META for bugtracker
* Sat Feb  1 2020 <timueller+perl@suse.de>
- updated to 0.49
  see /usr/share/doc/packages/perl-Data-Peek/ChangeLog
  0.49	- 2020-01-31, H.Merijn Brand   <h.m.brand@xs4all.nl>
  * Add sort types N and NR
  * Add tests for sorting
  * Use DDual in void context for triplevar example
  * Update to Devel::PPPort-3.43
  * It's 2019
  * Update to Devel::PPPort-3.48
  * Changed Test::NoWarnings to Test::Warnings
  * Raised minimum perl to 5.8.1
  * Provide cpanfile
  * Make DHexdump work on EBCDIC/1047 (OS/390) too
  * Add Data::Dumper::Purity = 1
  * It's 2020
  * Update to Devel::PPPort-3.56
  * Add generated preformatted docs for github
  * Tested with 127 versions/configurations of perl: 5.8.1 .. 5.31.8
* Fri Aug 30 2019 <timueller+perl@suse.de>
- updated to 0.48
  see /usr/share/doc/packages/perl-Data-Peek/ChangeLog
* Sun Oct  8 2017 coolo@suse.com
- updated to 0.47
  see /usr/share/doc/packages/perl-Data-Peek/ChangeLog
  0.47	- 2017-07-24, H.Merijn Brand   <h.m.brand@xs4all.nl>
  * It's 2017
  * Update ppport.h to Devel::PPPort-3.36
  * Reserve stack space if required
  0.46	- 2016-05-12, H.Merijn Brand   <h.m.brand@xs4all.nl>
  * Skip nomemoize in old Perl::Tidy (RT#113433, Slaven)
  * Test with perl-5.24.0
  0.45	- 2016-02-16, H.Merijn Brand   <h.m.brand@xs4all.nl>
  * Add CONTRIBUTING.md
  * It's 2016
  * Test::More with Test2 does not preserve $! and $?
* Thu Aug 27 2015 hsk@imb-jena.de
- updated to 0.44
  * bug fixes, a. o. to make it build on recent perl
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.40
  * Upped copyright to 2014
  * Guard Perl::Tidy against stupid user options in .perltidyrc
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.39
  * Upped copyright to 2013
  * Add alternative test results for 5.19.3 and up (COW and no PV for IV)
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.38
  * Backslashed { in regex in test to satisfy perl-5.17
* Fri May 25 2012 coolo@suse.com
- update to 0.37
  * Upped copyright to 2012
  * Allow length for DHexDump ()
* Fri Nov 18 2011 coolo@suse.com
- update to 0.36
  * NAME / DISTNAME in Makefile.PL
  * More cross-checks for META data
* Thu Sep  1 2011 chris@computersalat.de
- updated to 0.34
  * Tests require Test::More-0.88 or up (RT#70538)
  * Tested on perl-5.14.1 and 5.15.1
* Sat Aug 27 2011 chris@computersalat.de
- fix deps, build for RHEL, CentoS, < 1120
  * Test::More >= 0.88, and others
* Tue Jun 28 2011 coolo@novell.com
- initial package 0.33
  * created by cpanspec 1.78.05
